View Issue Details

IDProjectCategoryView StatusLast Update
0020171LazarusWidgetsetpublic2011-10-28 11:15
ReporterGraeme GeldenhuysAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSUbuntu LinuxOS Version10.04
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0020171: TDateEdit dropdown doesn't close unless a date is selected
Descriptionnormally with any dropdown component (eg: ComboBox etc), if the dropdown is visible and you click somewhere else on a form, or the dropdown (down) button again, it will close the dropdown window. Well, this doesn't happen with TDateEdit. The only way to close the dropdown, is to select a date value.
TagsNo tags attached.
Fixed in Revisionr33131
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

has duplicate 0014058 resolvedJuha Manninen TDateEdit: dropdown calendar doesn't close when I click outside it 

Activities

samuel herzog

2011-09-08 12:42

developer   ~0051591

I just tested with Lazarus 0.9.31 r32206 FPC 2.5.1 i386-linux-gtk 2

A) If the date-selection dialog is open and I click somewhere else on the form, then the date-dialog is closed ( same behavoir as D7)

B) If the date-selection dialog is open and I click again onto the "open"-button, then the date-dialog is still shown (or reopened). (on D7 the dialog closes)

Graeme Geldenhuys

2011-09-08 15:22

reporter   ~0051605

Indeed, it does now close if you click somewhere else on the form that contains the TDateEdit. But the TDateEdit dropdown still stays open even if you switch focus to another application. Again, this is not the normal behaviour of a dropdown component.

Also the dropdown causes a new item in the taskbar - which again isn't normal dropdown component behaviour. Should this be reported it another bug report?

I can also confirm the behaviour of your item (B). This happens in both LCL-GTK2 and LCL-Qt.

Flávio Etrusco (notifications not working)

2011-09-10 10:04

developer   ~0051682

Last edited: 2011-09-10 10:05

The behavior is the same on Windows.
The dropdown is closed only on its FormDeactivate event; one simple fix would be registering a App.Deactivate handler.

Juha Manninen

2011-10-28 11:15

developer   ~0053541

Good idea Flávio. I implemented it.
Please test.

Issue History

Date Modified Username Field Change
2011-09-06 14:29 Graeme Geldenhuys New Issue
2011-09-06 18:22 Vincent Snijders LazTarget => -
2011-09-06 18:22 Vincent Snijders Widgetset => GTK 2
2011-09-06 18:22 Vincent Snijders Category LCL => Widgetset
2011-09-08 12:42 samuel herzog Note Added: 0051591
2011-09-08 15:22 Graeme Geldenhuys Note Added: 0051605
2011-09-10 10:04 Flávio Etrusco (notifications not working) Note Added: 0051682
2011-09-10 10:05 Flávio Etrusco (notifications not working) Note Edited: 0051682
2011-10-07 14:52 Vincent Snijders Status new => acknowledged
2011-10-28 09:45 Juha Manninen Relationship added has duplicate 0014058
2011-10-28 09:45 Juha Manninen Status acknowledged => assigned
2011-10-28 09:45 Juha Manninen Assigned To => Juha Manninen
2011-10-28 11:15 Juha Manninen Fixed in Revision => r33131
2011-10-28 11:15 Juha Manninen Status assigned => resolved
2011-10-28 11:15 Juha Manninen Resolution open => fixed
2011-10-28 11:15 Juha Manninen Note Added: 0053541